Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization.xml
Class XMLWriter

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.xml.XMLWriter

Direct Known Subclasses:
  XMLDescrWriter, XMLResourceWriter

public class XMLWriter
extends java.lang.Object
implements JXML

Field Summary
`protected int` | `level`
`protected java.io.Writer` | `writer`

Constructor Summary
`XMLWriter(java.io.Writer writer)`

Method Summary
`protected void` | `closeDocument()`
`protected void` | `closeResource()`
`protected void` | `indent()`
`protected void` | `startDocument()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    protected java.io.Writer writer

### level

    protected int level

Constructor Detail

### XMLWriter

    public XMLWriter(java.io.Writer writer)

Method Detail

### indent

    protected void indent()
                   throws java.io.IOException

### startDocument

    protected void startDocument()
                          throws java.io.IOException

### closeDocument

    protected void closeDocument()
                          throws java.io.IOException

### closeResource

    protected void closeResource()
                          throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD